EMI 1 (Kebnekaise) - Update 23 (28.01.2013), v. 1.14.2-1

The Update contains:

  • revision releases of DPM & LFC 1.8.6 and VOMS 2.0.10-1

DPM v. 1.8.6, Task #38018

Affected services

  • affected services DPM, UI & WN

What's new:

  • This is a very minimal release, covering two security vulnerabilities recently reported. No new functionality has been introduced.
    • Fixed bugs
      • LCGDM-852: quick fix for reported vulnerability
      • LCGDM-859: authz issue in the srm

  • The update is released for both EMI1 and EMI2. Sites are nevertheless encouraged to upgrade to EMI2 to take advantage of all new features and fixes.
  • Ref EGI-SVG

Installation and Configuration:

  • Head Node:
       # yum update emi-dpm_mysql
       # ( and don't forget to re-run yaim )
    • This is enough for the default Head Node setup, where all daemons are deployed in a single machine. If you have the daemons split in different machines, then you'll need to independently update each daemon in each corresponding machine.
  • Disk Node:
       # yum update emi-dpm_disk
       # ( and don't forget to re-run yaim )
       
  • Schema Upgrade:
    • No database schema upgrade involved.

Known issues:

  • None for now.

List of RfCs:

Documentation:

Updated artifacts

SL5
Binaries
dpm-1.8.6-1.el5.x86_64.rpm
dpm-copy-server-mysql-1.8.6-1.el5.x86_64.rpm
dpm-copy-server-oracle-1.8.6-1.el5.x86_64.rpm
dpm-devel-1.8.6-1.el5.x86_64.rpm
dpm-libs-1.8.6-1.el5.x86_64.rpm
dpm-libs-1.8.6-1.el5.i386.rpm
dpm-name-server-mysql-1.8.6-1.el5.x86_64.rpm
dpm-name-server-oracle-1.8.6-1.el5.x86_64.rpm
dpm-perl-1.8.6-1.el5.x86_64.rpm
dpm-python-1.8.6-1.el5.x86_64.rpm
dpm-python26-1.8.6-1.el5.x86_64.rpm
dpm-rfio-server-1.8.6-1.el5.x86_64.rpm
dpm-server-mysql-1.8.6-1.el5.x86_64.rpm
dpm-server-oracle-1.8.6-1.el5.x86_64.rpm
dpm-srm-server-mysql-1.8.6-1.el5.x86_64.rpm
dpm-srm-server-oracle-1.8.6-1.el5.x86_64.rpm
emi-dpm_disk-1.8.6-2.el5.x86_64.rpm
emi-dpm_mysql-1.8.6-2.el5.x86_64.rpm
emi-dpm_oracle-1.8.6-2.el5.x86_64.rpm
lcgdm-devel-1.8.6-1.el5.x86_64.rpm
lcgdm-devel-1.8.6-1.el5.i386.rpm
lcgdm-libs-1.8.6-1.el5.x86_64.rpm
lcgdm-libs-1.8.6-1.el5.i386.rpm
Binary tarballs
dpm-1.8.6-1.el5.x86_64.tar.gz
dpm-copy-server-mysql-1.8.6-1.el5.x86_64.tar.gz
dpm-copy-server-oracle-1.8.6-1.el5.x86_64.tar.gz
dpm-devel-1.8.6-1.el5.x86_64.tar.gz
dpm-libs-1.8.6-1.el5.x86_64.tar.gz
dpm-name-server-mysql-1.8.6-1.el5.x86_64.tar.gz
dpm-name-server-oracle-1.8.6-1.el5.x86_64.tar.gz
dpm-perl-1.8.6-1.el5.x86_64.tar.gz
dpm-python-1.8.6-1.el5.x86_64.tar.gz
dpm-python26-1.8.6-1.el5.x86_64.tar.gz
dpm-rfio-server-1.8.6-1.el5.x86_64.tar.gz
dpm-server-mysql-1.8.6-1.el5.x86_64.tar.gz
dpm-server-oracle-1.8.6-1.el5.x86_64.tar.gz
dpm-srm-server-mysql-1.8.6-1.el5.x86_64.tar.gz
dpm-srm-server-oracle-1.8.6-1.el5.x86_64.tar.gz
Source RPM
lcgdm-1.8.6-1.src.rpm
lcgdm-meta-1.8.6-2.src.rpm
lcgdm-oracle-1.8.6-1.src.rpm
lcgdm-meta-oracle-1.8.6-2.src.rpm

LFC v. 1.8.6 Task #38020

Affected services

  • affected services LFC, UI & WN

What's new:

  • This is a very minimal release, covering two security vulnerabilities recently reported. No new functionality has been introduced.
  • See Extended Release Notes

Installation and Configuration:

   # yum update  emi-lfc_mysql (or emi-lfc_oracle)
   # ( and don't forget to re-run yaim )

Known issues:

  • None for now.

List of RfCs:

Documentation:

Updated artifacts

SL5
Binaries
emi-lfc_mysql-1.8.6-2.el5.x86_64.rpm
emi-lfc_oracle-1.8.6-2.el5.x86_64.rpm
lcgdm-devel-1.8.6-1.el5.x86_64.rpm
lcgdm-devel-1.8.6-1.el5.i386.rpm
lcgdm-libs-1.8.6-1.el5.x86_64.rpm
lcgdm-libs-1.8.6-1.el5.i386.rpm
lfc-1.8.6-1.el5.x86_64.rpm
lfc-devel-1.8.6-1.el5.x86_64.rpm
lfc-dli-1.8.6-1.el5.x86_64.rpm
lfc-libs-1.8.6-1.el5.x86_64.rpm
lfc-libs-1.8.6-1.el5.i386.rpm
lfc-perl-1.8.6-1.el5.x86_64.rpm
lfc-python-1.8.6-1.el5.x86_64.rpm
lfc-python26-1.8.6-1.el5.x86_64.rpm
lfc-server-mysql-1.8.6-1.el5.x86_64.rpm
lfc-server-oracle-1.8.6-1.el5.x86_64.rpm
Binary tarballs
lcgdm-devel-1.8.6-1.el5.x86_64.tar.gz
lcgdm-libs-1.8.6-1.el5.x86_64.tar.gz
lfc-1.8.6-1.el5.x86_64.tar.gz
lfc-devel-1.8.6-1.el5.x86_64.tar.gz
lfc-dli-1.8.6-1.el5.x86_64.tar.gz
lfc-libs-1.8.6-1.el5.x86_64.tar.gz
lfc-libs-1.8.6-1.el5.i386.tar.gz
lfc-perl-1.8.6-1.el5.x86_64.tar.gz
lfc-python-1.8.6-1.el5.x86_64.tar.gz
lfc-python26-1.8.6-1.el5.x86_64.tar.gz
lfc-server-mysql-1.8.6-1.el5.x86_64.tar.gz
lfc-server-oracle-1.8.6-1.el5.x86_64.tar.gz
Source RPM
lcgdm-1.8.6-1.src.rpm
lcgdm-meta-1.8.6-2.src.rpm
lcgdm-oracle-1.8.6-1.src.rpm
lcgdm-meta-oracle-1.8.6-2.src.rpm

VOMS v. 2.0.10-1 Task #38262

Affected services

  • for VOMS Java APIs the affected services are : UI, ARGUS, StoRM-SE (StoRM-GridHTTPS-Server), VOMS

What's new:

Installation and Configuration:

  • After the packages are upgrade services that rely on the APIs should be restarted.

Known issues:

  • None

List of RfCs:

Documentation:

Updated artifacts

SL5
Binaries
voms-api-java-2.0.10-1.el5.noarch.rpm
voms-api-java-javadoc-2.0.10-1.el5.noarch.rpm
Binary tarballs
voms-api-java-2.0.10-1.el5.noarch.tar.gz
voms-api-java-javadoc-2.0.10-1.el5.noarch.tar.gz
Source RPM
voms-api-java-2.0.10-1.sl5.src.rpm
Edit | Attach | Watch | Print version | History: r2 < r1 | Backlinks | Raw View | WYSIWYG | More topic actions
Topic revision: r2 - 2013-01-25 - DoinaCristinaAiftimiei
 
    • Cern Search Icon Cern Search
    • TWiki Search Icon TWiki Search
    • Google Search Icon Google Search

    EMI All webs login

This site is powered by the TWiki collaboration platform Powered by PerlCopyright & 2008-2020 by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding TWiki? Send feedback